読者です 読者をやめる 読者になる 読者になる

謎言語使いの徒然

適当に気になった技術や言語を流すブログ。

シミュレータのバージョン互換バグ

iPhone 日記

2.2.1 でソフトをアップせねばならず、かつ OS3.0 でも動くようにしろとの Apple さんのお達しに従い、両対応しようとしたが、ハマった。
AVFoundation とか、ライブラリを使ってると、Simulator 2.2.1 ビルドのバイナリが、OS 3.0 Simulator で、「そんなライブラリねえよ!」と怒られる。
上位互換しないのか!?と焦ってたら、実機(Device 2.2.1 Build)でサックリ動きやがった。
…しっかりしてくれ Apple さん。

昔から MS は色んな人に文句言われてるけど、個人的には Apple より開発者に対するサポートはいいよね。
OSS なら Linux がいいんだろうか?
Apple の「開発者を食い物にする」姿勢はやっぱヤダ。

http://jp.techcrunch.com/archives/20090325apples-iphone-app-refund-policies-could-bankrupt-developers/